Bug 198221 - math/sage: Fails to build due GNU autotools
Summary: math/sage: Fails to build due GNU autotools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Stephen Montgomery-Smith
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-03 12:17 UTC by Carlos J Puga Medina
Modified: 2015-03-04 22:46 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (stephen)


Attachments
Proposed fix (336 bytes, text/plain)
2015-03-04 03:53 UTC, Stephen Montgomery-Smith
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-03-03 12:17:58 UTC
It needs the older legacy of GNU autotools. So math/sage port needs a PORTREVISION.

<snip>
config.status: executing libtool commands
make[5]: Entering directory '/usr/ports/math/sage/work/sage-6.4.1/local/var/tmp/sage/build/ppl-1.1/src'
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /usr/ports/math/sage/work/sage-6.4.1/local/var/tmp/sage/build/ppl-1.1/src/missing aclocal-1.14 -I m4
/usr/ports/math/sage/work/sage-6.4.1/local/var/tmp/sage/build/ppl-1.1/src/missing: aclocal-1.14: not found
WARNING: 'aclocal-1.14' is missing on your system.
         You should only need it if you modified 'acinclude.m4' or
         'configure.ac' or m4 files included by 'configure.ac'.
         The 'aclocal' program is part of the GNU Automake package:
         <http://www.gnu.org/software/automake>
         It also requires GNU Autoconf, GNU m4 and Perl in order to run:
         <http://www.gnu.org/software/autoconf>
         <http://www.gnu.org/software/m4/>
         <http://www.perl.org/>
Makefile:515: recipe for target 'aclocal.m4' failed
make[5]: *** [aclocal.m4] Error 127
make[5]: Leaving directory '/usr/ports/math/sage/work/sage-6.4.1/local/var/tmp/sage/build/ppl-1.1/src'
Error building the Parma Polyhedra Library.

real	0m55.348s
user	0m29.148s
sys	0m20.699s
************************************************************************
Error installing package ppl-1.1
************************************************************************
<snip>
Comment 1 Stephen Montgomery-Smith freebsd_committer 2015-03-04 03:53:23 UTC
Created attachment 153756 [details]
Proposed fix

Put the attachment "patch-build_pkgs_ppl_spkg-install" the directory "files", and see if this fixes the problem.
Comment 2 commit-hook freebsd_committer 2015-03-04 22:43:35 UTC
A commit references this bug:

Author: stephen
Date: Wed Mar  4 22:43:15 UTC 2015
New revision: 380450
URL: https://svnweb.freebsd.org/changeset/ports/380450

Log:
  - Correct breakage caused by autotools upgrade.

  PR:		198221
  Submitted by:	Carlos Jacobo Puga Medina <cpm@fbsd.es>

Changes:
  head/math/sage/files/patch-build_pkgs_ppl_spkg-install
Comment 3 Stephen Montgomery-Smith freebsd_committer 2015-03-04 22:46:47 UTC
Thanks for the PR.  Please tell me if there are more problems.